#include <bits/stdc++.h>
#define endl "\n"
#define ll long long
using namespace std;

vector<int> resh(1000001);
vector<int> primes(1000001);
void reshe(int a) {
    resh[0] = resh[1] = 1;

    for(int i = 2; i <= sqrt(a); i ++) {
        if(resh[i] == 0) {
            for(int j = i * i; j < a; j += i) {
                resh[j] = i;
            }
        }
    }
}

void cntPrime(int a) {
    int i = 2, cnt = 0;
    int k = a;

    while(a > 1) {
        if(resh[i] == 0){
            while(a % i == 0) {
                a /= i;
                cnt ++;
            }
        }
        i ++;
    }
    primes[k] = cnt;
}

int sumPrime(int a, int b) {
    int cnt = 0;

    for(int i = a; i <= b; i ++) {
        cnt += primes[i];
    }

    return cnt;
}

int main() {

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin >> n;
    vector<int> a(n) , b(n);

    int mini = INT_MAX, maxi = INT_MIN;

    for(int i = 0; i < n; i ++) {
        cin >> a[i] >> b[i];

        if(a[i] < mini) {
            mini = a[i];
        }
        if(b[i] > maxi) {
            maxi = b[i];
        }
    }

    reshe(maxi);

    for(int i = 2; i < maxi; i ++) {
        cntPrime(i);
    }

    for(int i = 0; i < n; i ++) {
        cout << sumPrime(a[i], b[i]) << endl;
    }

    return 0;
}
