#include <bits/stdc++.h>
using namespace std;

vector<int> primes;

long long themap[1000001];

int getPrimeFactors(int n)
{
    int br = 0;
    int i = 0;
    while(n != 1)
    {
        int pr = primes[i];
        while(n % pr == 0)
        {
            br++;
            n = n / pr;
        }
        i++;
    }
    return br;
}

void getPrimes(int limit)
{
    bool reshe[1000001];

    for(int i = 2;i <= limit;i++)
    {
        if(!reshe[i])
        {
            int j = i + i;
            while(j < limit)
            {
                reshe[j] = true;
                j += i;
            }
            primes.push_back(i);
        }
    }
}

void maping(int limit)
{
    for(long long pr : primes)
    {
        long long p = pr;
        while(pr <= limit)
        {
            for(int i = pr;i <= limit;i += pr)
            {
                themap[i]++;
            }
            pr *= p;
        }
    }
}

int main()
{
    int n;
    int a[1000], b[1000];
    cin >> n;

    for(int i = 0;i < n;i++) cin >> a[i] >> b[i];

    getPrimes(1000000);

    maping(1000000);

    for(int i = 2;i <= 1000000;i++)
    {
        themap[i] = themap[i] + themap[i - 1];
    }

    /*for(int i = 1;i <= 20;i++)
    {
        cout << i << " - " << themap[i] << endl;
    }*/

    /*int br;
    for(int i = 0;i < n;i++)
    {
        br = 0;
        int a = ai[i];
        int b = bi[i];

        for(int j = a;j <= b;j++)
        {
            br += getPrimeFactors(j);
        }
        cout << br << endl;
    }*/

    for(int i = 0;i < n;i++)
    {
        cout << themap[b[i]] - themap[a[i] - 1] << endl;
    }
}
