#include <iostream>
using namespace std;
const long long MAXB = 1e6 + 1;
long long fact[MAXB + 1];
long long dp[MAXB + 1];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    long long i;
    dp[1] = 0;
    dp[0] = 0;
    for (i = 2;i*i <= MAXB;i ++){
        dp[i] = dp[i-1];
        if (fact[i] == 0){
            for (long long base = i;2*base <= MAXB; base *= i){
                for (long long j = base;j <= MAXB;j += base){
                    fact[j] ++;
                }
            }
        }
        dp[i] += fact[i];
    }
    for (;i <= MAXB;i ++){
        dp[i] = dp[i-1];
        if (fact[i] == 0){
            for (long long j = i;j <= MAXB;j += i){
                fact[j] ++;
            }
        }
        dp[i] += fact[i];
    }
    long long n;
    cin >> n;
    while (n--){
        long long a, b;
        cin >> a >> b;
        cout << dp[b] - dp[a-1] << '\n';
    }
    return 0;
}
