#include<iostream>
#include<vector>
#include<algorithm>
using namespace std;
using LL=long long;
const int A=1e9+2;
const int N=1e6+2;
int obD=0,ptr_first=0;
int n;
vector<int> redica;

inline int my_upper_bound(int val)
{
    int l=0,r=n,ans=-1,mid=0;
    while(l<=r)
    {
        mid=(l+r)/2;
        if(redica[mid]>val)
        {
            ans=mid;
            r=mid-1;
        }
        else l=mid+1;
    }
    return ans;
}
inline int my_lower_bound(int val)
{
    int l=0,r=n,ans=-1,mid=0;
    while(l<=r)
    {
        mid=(l+r)/2;
        if(redica[mid]>=val)
        {
            ans=mid;
            r=mid-1;
        }
        else l=mid+1;
    }
    return ans;
}
inline bool hodNa2()
{
    int lwr=my_lower_bound(redica[n-1]);
    --lwr;
    if(lwr<=-1)return false;
    redica[n-1]=redica[lwr];
    if(redica[n-1]==0)
        ++ptr_first;
    sort(redica.begin(),redica.end());
    return true;
}
inline bool hodNa1()
{
    int lwr=my_upper_bound(redica[ptr_first]);
    if(lwr==-1)return false;
    redica[ptr_first]=redica[lwr];
    sort(redica.begin(),redica.end());
    return true;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    cin>>n;
    redica.resize(n);
    for(int i=0; i<n; ++i)
    {
        cin>>redica[i];
    }
    sort(redica.begin(),redica.end());
    char pob='0';
    while(true)
    {
        if(!hodNa1())
        {
            pob='B';
            break;
        }
        if(!hodNa2())
        {
            pob='A';
            break;
        }
    }
    cout<<pob<<endl;
    cout<<redica[0]<<" "<<redica[n-1]<<endl;
}
