#include <bits/stdc++.h>
#define endl "\n"
#define ll long long
using namespace std;

vector<int> resh(1000001);
vector<int> primes(1000001);
void reshe() {
    resh[0] = resh[1] = 1;
    
    for(int i = 2; i <= sqrt(resh.size()); i ++) {
        if(resh[i] == 0) {
            for(int j = i * i; j < resh.size(); j += i) {
                resh[j] = i;
            }
        }
    }
}

void cntPrime(int a) {
    int i = 2, cnt = 0;
    int k = a;
    
    while(a > 1) {
        if(resh[i] == 0){
            while(a % i == 0) {
                a /= i;
                cnt ++;
            }
        }
        i ++;
    }
    primes[k] = cnt;
}

int sumPrime(int a, int b) {
    int cnt = 0;
    
    for(int i = a; i <= b; i ++) {
        cnt += primes[i];
    }
    
    return cnt;
}

int main() {
    int n, a, b;
    cin >> n;
    
    reshe();
    for(int i = 2; i < 1000001; i ++) {
        cntPrime(i);
    }
    
    for(int i = 0; i < n; i ++) {
        cin >> a >> b;
        
        cout << sumPrime(a, b) << endl;
    }
    return 0;
}
