#include <bits/stdc++.h>
using namespace std;

vector<int> primes;

int getPrimeFactors(int n)
{
    int br = 0;
    int i = 0;
    while(n != 1)
    {
        int pr = primes[i];
        while(n % pr == 0)
        {
            br++;
            n = n / pr;
        }
        i++;
    }
    return br;
}

void getPrimes(int limit)
{
    bool reshe[1000001];

    for(int i = 2;i <= limit;i++)
    {
        if(!reshe[i])
        {
            int j = i + i;
            while(j < limit)
            {
                reshe[j] = true;
                j += i;
            }
            primes.push_back(i);
        }
    }
}

int main()
{
    int n;
    int ai[1000], bi[1000];
    cin >> n;

    for(int i = 0;i < n;i++) cin >> ai[i] >> bi[i];

    getPrimes(max(*max_element(ai, ai + n), *max_element(bi, bi + n)));

    int br;
    for(int i = 0;i < n;i++)
    {
        br = 0;
        int a = ai[i];
        int b = bi[i];

        for(int j = a;j <= b;j++)
        {
            br += getPrimeFactors(j);
        }
        cout << br << endl;
    }
}
